| Flutter iOS Embedder |

Public Member Functions | List of all members
flutter::AccessibilityBridgeIos Class Referenceabstract

Interface that represents an accessibility bridge for iOS. More...

`#include <accessibility_bridge_ios.h>`

Inheritance diagram for flutter::AccessibilityBridgeIos:

## Public Member Functions
virtual | ~AccessibilityBridgeIos ()=default
virtual UIView * | view () const =0
virtual bool | isVoiceOverRunning () const =0
virtual UIView< UITextInput > * | textInputView ()=0
virtual void | DispatchSemanticsAction (int32_t id, flutter::SemanticsAction action)=0
virtual void | DispatchSemanticsAction (int32_t id, flutter::SemanticsAction action, fml::MallocMapping args)=0
virtual void | AccessibilityObjectDidBecomeFocused (int32_t id)=0
virtual void | AccessibilityObjectDidLoseFocus (int32_t id)=0
virtual std::shared_ptr< PlatformViewsController > | GetPlatformViewsController () const =0

## Detailed Description

Interface that represents an accessibility bridge for iOS.

Definition at line 20 of file accessibility_bridge_ios.h.

## Constructor & Destructor Documentation

## ◆ ~AccessibilityBridgeIos()

virtual flutter::AccessibilityBridgeIos::~AccessibilityBridgeIos | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ AccessibilityObjectDidBecomeFocused()

virtual void flutter::AccessibilityBridgeIos::AccessibilityObjectDidBecomeFocused | ( | int32_t | id | ) |
| pure virtual

A callback that is called when a SemanticObject receives focus.

The input id is the uid of the newly focused SemanticObject.

Implemented in flutter::testing::MockAccessibilityBridgeNoWindow, flutter::AccessibilityBridge, and flutter::testing::MockAccessibilityBridge.

## ◆ AccessibilityObjectDidLoseFocus()

virtual void flutter::AccessibilityBridgeIos::AccessibilityObjectDidLoseFocus | ( | int32_t | id | ) |
| pure virtual

A callback that is called when a SemanticObject loses focus

The input id is the uid of the newly focused SemanticObject.

Implemented in flutter::testing::MockAccessibilityBridgeNoWindow, flutter::AccessibilityBridge, and flutter::testing::MockAccessibilityBridge.

## ◆ DispatchSemanticsAction() [1/2]

virtual void flutter::AccessibilityBridgeIos::DispatchSemanticsAction | ( | int32_t | id,
|  | flutter::SemanticsAction | action
| ) |  |
| pure virtual

Implemented in flutter::AccessibilityBridge.

## ◆ DispatchSemanticsAction() [2/2]

virtual void flutter::AccessibilityBridgeIos::DispatchSemanticsAction | ( | int32_t | id,
|  | flutter::SemanticsAction | action,
|  | fml::MallocMapping | args
| ) |  |
| pure virtual

Implemented in flutter::AccessibilityBridge.

## ◆ GetPlatformViewsController()

virtual std::shared_ptr<PlatformViewsController> flutter::AccessibilityBridgeIos::GetPlatformViewsController | ( |  | ) | const
| pure virtual

Implemented in flutter::testing::MockAccessibilityBridgeNoWindow, flutter::AccessibilityBridge, and flutter::testing::MockAccessibilityBridge.

## ◆ isVoiceOverRunning()

virtual bool flutter::AccessibilityBridgeIos::isVoiceOverRunning | ( |  | ) | const
| pure virtual

Implemented in flutter::AccessibilityBridge, flutter::testing::MockAccessibilityBridgeNoWindow, and flutter::testing::MockAccessibilityBridge.

## ◆ textInputView()

virtual UIView<UITextInput>* flutter::AccessibilityBridgeIos::textInputView | ( |  | ) |
| pure virtual

Implemented in flutter::AccessibilityBridge, flutter::testing::MockAccessibilityBridgeNoWindow, and flutter::testing::MockAccessibilityBridge.

## ◆ view()

virtual UIView* flutter::AccessibilityBridgeIos::view | ( |  | ) | const
| pure virtual

Implemented in flutter::AccessibilityBridge, flutter::testing::MockAccessibilityBridgeNoWindow, and flutter::testing::MockAccessibilityBridge.

The documentation for this class was generated from the following file:

- shell/platform/darwin/ios/framework/Source/accessibility_bridge_ios.h